# WOK
TKWOK
WOKUtils

# WOKUtils_SearchIterator Class Reference

`#include <WOKUtils_SearchIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUtils_SearchIterator (const Handle(WOKUtils_SearchList)&alist, const Handle(TCollection_HAsciiString)&afile)
Standard_EXPORT Handle_WOKUtils_Path | Value () const
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Boolean | More () const

## Private Attributes

Handle_WOKUtils_SearchList | mylist
Standard_Integer | myidx
Handle_TCollection_HAsciiString | myfile
Handle_WOKUtils_Path | myvalue

## Constructor & Destructor Documentation

Standard_EXPORT WOKUtils_SearchIterator::WOKUtils_SearchIterator | ( | const Handle(WOKUtils_SearchList)& | alist,
|  | const Handle(TCollection_HAsciiString)& | afile
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKUtils_SearchIterator::More | ( |  | ) | const

Standard_EXPORT void WOKUtils_SearchIterator::Next | ( |  | ) |

void WOKUtils_SearchIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUtils_SearchIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUtils_SearchIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_WOKUtils_Path WOKUtils_SearchIterator::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKUtils_SearchIterator::myfile `[private]`

Standard_Integer WOKUtils_SearchIterator::myidx `[private]`

Handle_WOKUtils_SearchList WOKUtils_SearchIterator::mylist `[private]`

Handle_WOKUtils_Path WOKUtils_SearchIterator::myvalue `[private]`

The documentation for this class was generated from the following file:

- WOKUtils_SearchIterator.hxx